# Created by pyp2rpm-3.3.2
%global pypi_name ffmpeg-normalize

Name:           python-%{pypi_name}
Version:        1.16.0
Release:        %mkrel 1
Summary:        Normalize audio via ffmpeg
Group:          Development/Python
License:        MIT
URL:            https://github.com/slhck/ffmpeg-normalize
Source0:        %{pypi_source}
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A utility for batch-normalizing audio using ffmpeg.

This program normalizes media files to a certain LUFS level using the EBU R128
loudness normalization procedure. It can also perform RMS-based normalization
(where the mean is lifted or attenuated), or peak normalization to a certain
target level.

Batch processing of several input files is possible, including video files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(setuptools)
Requires:       python3dist(tqdm)

Obsoletes:      python2-%{pypi_name} < 1.15.2-1

%description -n python3-%{pypi_name}
A utility for batch-normalizing audio using ffmpeg.

This program normalizes media files to a certain LUFS level using the EBU R128
loudness normalization procedure. It can also perform RMS-based normalization
(where the mean is lifted or attenuated), or peak normalization to a certain
target level.

Batch processing of several input files is possible, including video files.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/ffmpeg-normalize
%{python3_sitelib}/ffmpeg_normalize
%{python3_sitelib}/ffmpeg_normalize-%{version}-py?.?.egg-info



%changelog
* Thu Apr 09 2020 kekepower <kekepower> 1.16.0-1.mga8
+ Revision: 1565691
- Update to version 1.16.0

* Tue Feb 18 2020 umeabot <umeabot> 1.15.5-2.mga8
+ Revision: 1538799
- Mageia 8 Mass Rebuild

* Wed Nov 27 2019 kekepower <kekepower> 1.15.5-1.mga8
+ Revision: 1463036
- Update to version 1.15.5

* Wed Oct 16 2019 kekepower <kekepower> 1.15.3-1.mga8
+ Revision: 1454024
- Update to version 1.15.3

* Sat Oct 12 2019 tv <tv> 1.15.2-2.mga8
+ Revision: 1452111
- rebuild with python 3.8

* Fri Aug 16 2019 kekepower <kekepower> 1.15.2-1.mga8
+ Revision: 1429422
- Update to version 1.15.2
- Remove Python 2 package

* Mon Jan 07 2019 kekepower <kekepower> 1.3.8-1.mga7
+ Revision: 1351164
- Update to version 1.3.8

* Mon Nov 12 2018 kekepower <kekepower> 1.3.7-1.mga7
+ Revision: 1329634
- Update to version 1.3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.3.1-2.mga7
+ Revision: 1288865
- Mageia 7 Mass Rebuild

* Tue Apr 24 2018 kekepower <kekepower> 1.3.1-1.mga7
+ Revision: 1222198
- Update to version 1.3.1

* Thu Apr 12 2018 kekepower <kekepower> 1.2.3-1.mga7
+ Revision: 1217894
- Update to version 1.2.3

* Wed Apr 11 2018 kekepower <kekepower> 1.2.2-1.mga7
+ Revision: 1217342
- Update to version 1.2.2

* Fri Apr 06 2018 kekepower <kekepower> 1.2.1-1.mga7
+ Revision: 1215592
- Update to version 1.2.1

* Sat Mar 31 2018 kekepower <kekepower> 1.2.0-1.mga7
+ Revision: 1213732
- Update to version 1.2.0

* Wed Mar 07 2018 kekepower <kekepower> 1.1.0-1.mga7
+ Revision: 1207074
- Update to version 1.1.0
- Fix Source0 URL

* Fri Feb 23 2018 kekepower <kekepower> 1.0.9-1.mga7
+ Revision: 1204328
- imported package python-ffmpeg-normalize

